FLANG

Classes | Public Member Functions | Public Attributes | List of all members
Fortran::parser::IfConstruct Struct Reference

## Classes
struct | ElseBlock
struct | ElseIfBlock

## Public Member Functions
| TUPLE_CLASS_BOILERPLATE (IfConstruct)

## Public Attributes
std::tuple< Statement< IfThenStmt >, Block, std::list< ElseIfBlock >, std::optional< ElseBlock >, Statement< EndIfStmt > > | t

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h